import { executeQuery } from '../Connection/QueriesExecutor.js'

const getBaseInfo = async function () {
    const result = await executeQuery({sql: 'GET_BASE_INFO', 
        binds: {},
        rawReturn: true
    })

    return result
}

const getUseTerms = async function (data) {
    const { CDCLIENTE, CDTIPOCONS } = data
    const result = await executeQuery({sql: 'GET_USE_TERMS', 
        binds: { CDCLIENTE, CDTIPOCONS }
    })

    return result
}

const getMenuVisibility = async function (data) {
    const { CDCLIENTE, CDTIPOCONS, CDFILIAL } = data
    const result = await executeQuery({sql: 'GET_MENU_VISIBILITY', 
        binds: { CDCLIENTE, CDTIPOCONS, CDFILIAL }
    })

    return result
}

const getAllFiliais = async function (data) {
    const { CDCLIENTE } = data
    const result = await executeQuery({sql: 'GET_ALL_FILIAIS', 
        binds: { CDCLIENTE }
    })

    return result
}

const getFilialEmail = async function (CDCLIENTE) {
    const result = await executeQuery({sql: 'GET_FILIAL_BY_CLIENT', 
        binds: { CDCLIENTE }
    })

    return result
}

export default { getBaseInfo, getUseTerms, getMenuVisibility, getAllFiliais, getFilialEmail }
