import { executeQuery } from '../Connection/QueriesExecutor.js'

const getValueRestrictions = async function (consDetails, CDCONSUMIDOR) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'GET_VALUE_RESTRICTIONS',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR },
        rawReturn: true
    })

    return result
}

const updateValueRestriction = async function (CDCONSUMIDOR, CDFAMILISALD, VRCONSDIARAL, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'UPDATE_VALUE_RESTRICTION',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRCONSDIARAL },
        rawReturn: true
    })

    return result
}

const getUnrestrictedFamilies = async function (CDCONSUMIDOR, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'GET_UNRESTRICTED_FAMILIES',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR },
        rawReturn: true
    })

    return result
}

const getValueRestriction = async function (CDCONSUMIDOR, CDFAMILISALD, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'GET_VALUE_RESTRICTION',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD },
        rawReturn: true
    })

    return result
}

const addValueRestriction = async function (CDCONSUMIDOR, CDFAMILISALD, VRCONSDIARAL, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'ADD_VALUE_RESTRICTION',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD, VRCONSDIARAL },
        rawReturn: true
    })

    return result
}

const getRestrictedProducts = async function (CDCONSUMIDOR, CDFAMILISALD, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'GET_RESTRICTED_PRODUCTS',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD },
        rawReturn: true
    })

    return result
}

const deleteValueRestriction = async function (CDCONSUMIDOR, CDFAMILISALD, consDetails) {
    const { CDFILIAL, CDCLIENTE } = consDetails
    const result = await executeQuery({sql: 'DELETE_VALUE_RESTRICTION',
        binds: { CDFILIAL, CDCLIENTE, CDCONSUMIDOR, CDFAMILISALD },
        rawReturn: true
    })

    return result
}

export default { getValueRestrictions, updateValueRestriction, getUnrestrictedFamilies, getValueRestriction, addValueRestriction, getRestrictedProducts, deleteValueRestriction }